Package commoble.morered.client

# Class BundledCablePostRenderer

java.lang.Object
commoble.morered.client.BundledCablePostRenderer

All Implemented Interfaces:
  `net.minecraft.client.renderer.blockentity.BlockEntityRenderer<WirePostBlockEntity>`, `net.neoforged.neoforge.client.extensions.IBlockEntityRendererExtension<WirePostBlockEntity>`

public class BundledCablePostRenderer extends Object implements net.minecraft.client.renderer.blockentity.BlockEntityRenderer<WirePostBlockEntity>

## Field Summary

Fields
Modifier and Type
Field
Description
`static final float[]`
`BLUES`
`static final net.minecraft.client.renderer.RenderType`
`CABLE_RENDER_TYPE`
`static final float[]`
`GREENS`
`static final net.minecraft.client.resources.model.Material`
`MATERIAL`
`static final float[]`
`REDS`

## Constructor Summary

Constructors
Constructor
Description
`BundledCablePostRenderer(net.minecraft.client.renderer.blockentity.BlockEntityRendererProvider.Context context)`

## Method Summary

Modifier and Type
Method
Description
`static void`
`addVertexPair(com.mojang.blaze3d.vertex.VertexConsumer vertexBuilder, org.joml.Matrix4f lastMatrix, int packedLight, float x, float y, float z, float cableWidth, float cableWidthOrZero, int segmentIndex, boolean secondVertexPairForQuad, float xOffset, float zOffset, float minU, float maxU, float minV, float maxV)`
`net.minecraft.world.phys.AABB`
`getRenderBoundingBox(WirePostBlockEntity blockEntity)`
`void`
`render(WirePostBlockEntity post, float partialTicks, com.mojang.blaze3d.vertex.PoseStack matrices, net.minecraft.client.renderer.MultiBufferSource buffer, int combinedLightIn, int combinedOverlayIn)`
`boolean`
`shouldRenderOffScreen(WirePostBlockEntity te)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.minecraft.client.renderer.blockentity.BlockEntityRenderer

`getViewDistance, shouldRender`

## Field Details

### CABLE_RENDER_TYPE

public static final net.minecraft.client.renderer.RenderType CABLE_RENDER_TYPE

### MATERIAL

public static final net.minecraft.client.resources.model.Material MATERIAL

### REDS

public static final float[] REDS

### GREENS

public static final float[] GREENS

### BLUES

public static final float[] BLUES

## Constructor Details

### BundledCablePostRenderer

public BundledCablePostRenderer(net.minecraft.client.renderer.blockentity.BlockEntityRendererProvider.Context context)

## Method Details

### render

public void render(WirePostBlockEntity post, float partialTicks, com.mojang.blaze3d.vertex.PoseStack matrices, net.minecraft.client.renderer.MultiBufferSource buffer, int combinedLightIn, int combinedOverlayIn)

Specified by:
  `render` in interface `net.minecraft.client.renderer.blockentity.BlockEntityRenderer<WirePostBlockEntity>`

### shouldRenderOffScreen

public boolean shouldRenderOffScreen(WirePostBlockEntity te)

Specified by:
  `shouldRenderOffScreen` in interface `net.minecraft.client.renderer.blockentity.BlockEntityRenderer<WirePostBlockEntity>`

### getRenderBoundingBox

public net.minecraft.world.phys.AABB getRenderBoundingBox(WirePostBlockEntity blockEntity)

Specified by:
  `getRenderBoundingBox` in interface `net.neoforged.neoforge.client.extensions.IBlockEntityRendererExtension<WirePostBlockEntity>`

### addVertexPair

public static void addVertexPair(com.mojang.blaze3d.vertex.VertexConsumer vertexBuilder, org.joml.Matrix4f lastMatrix, int packedLight, float x, float y, float z, float cableWidth, float cableWidthOrZero, int segmentIndex, boolean secondVertexPairForQuad, float xOffset, float zOffset, float minU, float maxU, float minV, float maxV)